Skip to main content
PUT
Updates a view

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

view_id
string<uuid>
required

View identifier.

Body

application/json

Omitted tags and collaborators are cleared.

display_name
string | null

Optional. Display Name must be non-empty and less than 1000 chars.

tags
string[]

Optional. Each tag must be less than 256 chars.

Required string length: 1 - 255
collaborators
object

Describes who can view or query a resource

Response

OK

A view owned by the requestor.

id
string<uuid>
required
name
string
required

It should be unique.

Maximum string length: 256
Pattern: ^[a-zA-Z0-9_]+$
tags
string[]
required

Optional. Each tag must be less than 256 chars.

Required string length: 1 - 255
collaborators
object
required

Describes who can view or query a resource

owner
object
required

Information about the owner of the view

metadata
object
required

Metadata about when and by whom a view was created/updated

status
enum<string>
required

Status of the view.

Available options:
active,
archived
nql
string
required
schema
object
required

NQL schema for the view.

is_owned
enum<boolean>
required
Available options:
true
display_name
string | null

Optional. Display Name must be non-empty and less than 1000 chars.